"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNative2 = require("@testing-library/react-native");
var _ = require(".");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const footerProps = {
  poweredBy: 'Mock powered by',
  poweredByUrl: 'https://mock.powered.com'
};
describe('Footer component', () => {
  it('renders text when poweredBy is present in botConfigs', () => {
    const {
      getByText
    } = (0, _reactNative2.render)( /*#__PURE__*/_react.default.createElement(_.Footer, footerProps));
    const textElement = getByText(footerProps.poweredBy);
    expect(textElement).toBeDefined();
  });
  it('calls Linking.openURL with poweredByUrl when text is pressed', () => {
    const {
      getByTestId
    } = (0, _reactNative2.render)( /*#__PURE__*/_react.default.createElement(_.Footer, footerProps));
    const textElement = getByTestId('poweredBy');
    const mockOpenURL = jest.spyOn(_reactNative.Linking, 'openURL').mockImplementation(async () => {});
    _reactNative2.fireEvent.press(textElement);
    expect(mockOpenURL).toHaveBeenCalledWith(footerProps.poweredByUrl);
  });
});
//# sourceMappingURL=index.spec.js.map