"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _ = require(".");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const headerProps = {
  close: jest.fn(),
  restartConversation: jest.fn(),
  title: 'Bot title',
  mainColor: '#FF0000'
};
describe('Header component', () => {
  afterEach(() => jest.clearAllMocks());
  it('renders the component with the correct title', () => {
    const {
      getByText
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Header, headerProps));
    expect(getByText(headerProps.title)).toBeDefined();
  });
  it('calls onClose when close button is clicked', () => {
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Header, headerProps));
    const closeButton = getByTestId('closeChat');
    _reactNative.fireEvent.press(closeButton);
    expect(headerProps.close).toHaveBeenCalled();
  });
  it('calls onRestartConversation when restart button is clicked', () => {
    const {
      getByTestId
    } = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_.Header, headerProps));
    const restartButton = getByTestId('restartConversation');
    _reactNative.fireEvent.press(restartButton);
    expect(headerProps.restartConversation).toHaveBeenCalled();
  });
});
//# sourceMappingURL=index.spec.js.map