"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Input = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _types = require("../../../../types");
var _FilePicker = _interopRequireDefault(require("./components/FilePicker"));
var _send_icon = _interopRequireDefault(require("../../../../assets/send_icon.png"));
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ONE_THOUSAND = 1000;
const Input = _ref => {
  let {
    sendMessage
  } = _ref;
  const [message, setMessage] = (0, _react.useState)('');
  const onSend = () => {
    if (!message) return;
    const msg = {
      type: _types.MessageTypes.TEXT,
      message: message,
      from: _types.From.USER
    };
    sendMessage(msg);
    setMessage('');
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: _styles.styles.input,
    value: message,
    onChangeText: setMessage,
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    maxLength: ONE_THOUSAND,
    testID: "messageInput"
  }), /*#__PURE__*/_react.default.createElement(_FilePicker.default, {
    sendMessage: sendMessage
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onSend,
    testID: "sendIcon"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _send_icon.default,
    resizeMode: "contain",
    style: _styles.styles.icon
  })));
};
exports.Input = Input;
//# sourceMappingURL=index.js.map