"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _components = require("./components");
var _types = require("../../../../../../types");
var _styles = require("./styles");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SLIDE_WIDTH = 210;
var _default = props => {
  var _props$message, _props$message$carous, _props$message$carous2, _props$message2, _props$message2$carou, _props$message2$carou2, _props$message3, _props$message3$carou, _props$message3$carou2;
  const [slidePosition, setSlidePosition] = (0, _react.useState)(0);
  const sendAction = action => {
    return action;
    // console.log('Sending carousel action ...', action);
  };

  const previousDisabled = slidePosition === 0;
  const nextDisabled = Math.abs(slidePosition) === ((_props$message = props.message) === null || _props$message === void 0 ? void 0 : (_props$message$carous = _props$message.carousel) === null || _props$message$carous === void 0 ? void 0 : (_props$message$carous2 = _props$message$carous.cards) === null || _props$message$carous2 === void 0 ? void 0 : _props$message$carous2.length) - 1;
  const handleNextSlide = () => {
    if (nextDisabled) return;
    setSlidePosition(prevState => prevState + 1);
  };
  const handlePreviousSlide = () => {
    if (previousDisabled) return;
    setSlidePosition(prevState => prevState - 1);
  };
  const handleOpenLink = async url => {
    await _reactNative.Linking.openURL(url);
  };
  const handleButtonClick = async _ref => {
    let {
      clickedButton,
      clickedCard
    } = _ref;
    const {
      destination
    } = clickedButton;
    if ((destination === null || destination === void 0 ? void 0 : destination.type) === _types.CarouselDestinationTypes.URL) {
      handleOpenLink(destination === null || destination === void 0 ? void 0 : destination.value);
    }
    if ((destination === null || destination === void 0 ? void 0 : destination.type) === _types.CarouselDestinationTypes.PHONE) {
      var _destination$value;
      const treated = destination === null || destination === void 0 ? void 0 : (_destination$value = destination.value) === null || _destination$value === void 0 ? void 0 : _destination$value.replace(/[^A-Z0-9]/gi, '');
      handleOpenLink(`tel:+55${treated}`);
    }
    const socketActionPayload = {
      type: _types.MessageTypes.CAROUSEL,
      data: {
        clickedButton,
        clickedCard
      }
    };
    sendAction(socketActionPayload);
  };
  const checkButtonIsEmpty = button => {
    return (button === null || button === void 0 ? void 0 : button.label) === '';
  };
  const checkHasInfo = card => {
    return (card === null || card === void 0 ? void 0 : card.title) !== '' || (card === null || card === void 0 ? void 0 : card.description) !== '';
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_components.CarouselWrapper, null, /*#__PURE__*/_react.default.createElement(_components.CarouselSlider, null, /*#__PURE__*/_react.default.createElement(_components.CarouselSliderContent, {
    style: {
      left: slidePosition * SLIDE_WIDTH
    }
  }, (_props$message2 = props.message) === null || _props$message2 === void 0 ? void 0 : (_props$message2$carou = _props$message2.carousel) === null || _props$message2$carou === void 0 ? void 0 : (_props$message2$carou2 = _props$message2$carou.cards) === null || _props$message2$carou2 === void 0 ? void 0 : _props$message2$carou2.map(card => {
    var _card$buttons;
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: card._id
    }, card.imageUrl ? /*#__PURE__*/_react.default.createElement(_components.CustomImage, {
      src: card.imageUrl
    }) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, null), /*#__PURE__*/_react.default.createElement(_components.CarouselCardInfo, {
      hasInfo: checkHasInfo(card)
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [_styles.styles.carouselCardInfoText, _styles.styles.carouselCardInfoTitle]
    }, card.title), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: _styles.styles.carouselCardInfoText
    }, card.description)), card === null || card === void 0 ? void 0 : (_card$buttons = card.buttons) === null || _card$buttons === void 0 ? void 0 : _card$buttons.map(button => !checkButtonIsEmpty(button) && /*#__PURE__*/_react.default.createElement(_components.CarouselButton, {
      key: button === null || button === void 0 ? void 0 : button._id,
      onPress: () => handleButtonClick({
        clickedCard: card,
        clickedButton: button
      })
    }, button === null || button === void 0 ? void 0 : button.label)));
  }))), ((_props$message3 = props.message) === null || _props$message3 === void 0 ? void 0 : (_props$message3$carou = _props$message3.carousel) === null || _props$message3$carou === void 0 ? void 0 : (_props$message3$carou2 = _props$message3$carou.cards) === null || _props$message3$carou2 === void 0 ? void 0 : _props$message3$carou2.length) > 1 && /*#__PURE__*/_react.default.createElement(_components.CarouselActions, {
    onPrevious: handlePreviousSlide,
    onNext: handleNextSlide,
    previousDisabled: previousDisabled,
    nextDisabled: nextDisabled
  })));
};
exports.default = _default;
//# sourceMappingURL=index.js.map