"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _message = require("../../../../../types/message");
var _MessageHour = _interopRequireDefault(require("../components/MessageHour"));
var _MessageStatus = require("../components/MessageStatus");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = MessageComponent => {
  const MessageWrapper = props => {
    const styles = _reactNative.StyleSheet.create({
      container: {
        borderTopRightRadius: 16,
        borderTopStartRadius: 16,
        maxWidth: 290,
        minWidth: 80,
        padding: 16,
        paddingBottom: 0
      },
      bot: {
        backgroundColor: props.settings.secondaryColor,
        alignSelf: 'flex-start',
        borderBottomEndRadius: 16,
        borderBottomStartRadius: 4
      },
      user: {
        backgroundColor: props.settings.mainColor,
        alignSelf: 'flex-end',
        borderBottomEndRadius: 4,
        borderBottomStartRadius: 16
      }
    });
    const ballonStyle = props.message.from === _message.From.BOT ? styles.bot : styles.user;
    return /*#__PURE__*/_react.default.createElement(_MessageStatus.MessageStatusWrapper, {
      type: props.message.type,
      from: props.message.from,
      status: props.message.status || 'sent'
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [styles.container, ballonStyle]
    }, /*#__PURE__*/_react.default.createElement(MessageComponent, props), props.message.type !== _message.MessageTypes.TYPING && /*#__PURE__*/_react.default.createElement(_MessageHour.default, {
      msg: props.message
    })));
  };
  return MessageWrapper;
};
exports.default = _default;
//# sourceMappingURL=wrapMessage.js.map