"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Chat = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Header = require("./components/Header");
var _Messages = require("./components/Messages");
var _Input = require("./components/Input");
var _Footer = require("./components/Footer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Chat = _ref => {
  let {
    messages,
    configurations,
    close,
    restartConversation,
    sendMessage
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    visible: configurations.isOpen,
    animationType: "slide"
  }, /*#__PURE__*/_react.default.createElement(_Header.Header, {
    title: configurations.title,
    mainColor: configurations.settings.mainColor,
    restartConversation: restartConversation,
    close: close
  }), /*#__PURE__*/_react.default.createElement(_Messages.MessageList, {
    data: messages,
    settings: configurations.settings
  }), /*#__PURE__*/_react.default.createElement(_Input.Input, {
    sendMessage: sendMessage
  }), configurations.poweredBy && /*#__PURE__*/_react.default.createElement(_Footer.Footer, {
    poweredBy: configurations.poweredBy,
    poweredByUrl: configurations.poweredByUrl
  }));
};
exports.Chat = Chat;
//# sourceMappingURL=index.js.map