"use strict";

var _MessageList = require("./MessageList");
var _types = require("../types");
jest.mock('react-native-fs', () => ({
  readFile: jest.fn()
}));
describe('MessageList test suite', () => {
  it('should create a list with initial data', () => {
    const initialData = [{
      id: '1',
      from: _types.From.USER,
      message: 'yo',
      type: _types.MessageTypes.TEXT
    }, {
      id: '2',
      from: _types.From.BOT,
      message: 'how are ya',
      type: _types.MessageTypes.TEXT
    }];
    const messageList = new _MessageList.MessageList(initialData);
    expect(messageList.messages.length).toBe(initialData.length);
  });
  it('should add messages', () => {
    const messageList = new _MessageList.MessageList([]);
    messageList.addMessage({
      id: '1',
      from: _types.From.USER,
      message: 'hello',
      type: _types.MessageTypes.TEXT
    });
    messageList.addMessage({
      id: '2',
      from: _types.From.BOT,
      message: 'hello from bot',
      type: _types.MessageTypes.TEXT
    });
    expect(messageList.messages).toHaveLength(2);
  });
});
//# sourceMappingURL=MessageList.spec.js.map