import React from 'react';
import { Linking } from 'react-native';
import { render, fireEvent } from '@testing-library/react-native';
import { Footer } from '.';
const footerProps = {
  poweredBy: 'Mock powered by',
  poweredByUrl: 'https://mock.powered.com'
};
describe('Footer component', () => {
  it('renders text when poweredBy is present in botConfigs', () => {
    const {
      getByText
    } = render( /*#__PURE__*/React.createElement(Footer, footerProps));
    const textElement = getByText(footerProps.poweredBy);
    expect(textElement).toBeDefined();
  });
  it('calls Linking.openURL with poweredByUrl when text is pressed', () => {
    const {
      getByTestId
    } = render( /*#__PURE__*/React.createElement(Footer, footerProps));
    const textElement = getByTestId('poweredBy');
    const mockOpenURL = jest.spyOn(Linking, 'openURL').mockImplementation(async () => {});
    fireEvent.press(textElement);
    expect(mockOpenURL).toHaveBeenCalledWith(footerProps.poweredByUrl);
  });
});
//# sourceMappingURL=index.spec.js.map