import React from 'react';
import { View, Image, Text, TouchableOpacity } from 'react-native';
import Icon from '../../../Icon';
import closeIcon from '../../../../assets/icons/CloseIcon.png';
import resetIcon from '../../../../assets/icons/ResetIcon.png';
import { styles } from './styles';
export const Header = _ref => {
  let {
    close,
    restartConversation,
    title,
    mainColor
  } = _ref;
  const onClose = () => close();
  const onRestartConversation = () => restartConversation();
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, styles.wrapper, {
      backgroundColor: mainColor
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.titleContainer
  }, /*#__PURE__*/React.createElement(Icon, null), /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, title)), /*#__PURE__*/React.createElement(View, {
    style: styles.iconsWrapper
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "restartConversation",
    onPress: onRestartConversation
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: resetIcon
  }))), /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "closeChat",
    onPress: onClose
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.iconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: closeIcon
  })))));
};
//# sourceMappingURL=index.js.map