import React, { useState } from 'react';
import { View, TextInput, TouchableOpacity, Image } from 'react-native';
import { MessageTypes, From } from '../../../../types';
import FilePicker from './components/FilePicker';
import sendIcon from '../../../../assets/send_icon.png';
import { styles } from './styles';
const ONE_THOUSAND = 1000;
export const Input = _ref => {
  let {
    sendMessage
  } = _ref;
  const [message, setMessage] = useState('');
  const onSend = () => {
    if (!message) return;
    const msg = {
      type: MessageTypes.TEXT,
      message: message,
      from: From.USER
    };
    sendMessage(msg);
    setMessage('');
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(TextInput, {
    style: styles.input,
    value: message,
    onChangeText: setMessage,
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    maxLength: ONE_THOUSAND,
    testID: "messageInput"
  }), /*#__PURE__*/React.createElement(FilePicker, {
    sendMessage: sendMessage
  }), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onSend,
    testID: "sendIcon"
  }, /*#__PURE__*/React.createElement(Image, {
    source: sendIcon,
    resizeMode: "contain",
    style: styles.icon
  })));
};
//# sourceMappingURL=index.js.map