import React, { useState } from 'react';
import { Text, View, Linking } from 'react-native';
import { CarouselActions, CarouselButton, CarouselCardInfo, CarouselSlider, CarouselSliderContent, CarouselWrapper, CustomImage } from './components';
import { CarouselDestinationTypes, MessageTypes } from '../../../../../../types';
import { styles } from './styles';
const SLIDE_WIDTH = 210;
export default (props => {
  var _props$message, _props$message$carous, _props$message$carous2, _props$message2, _props$message2$carou, _props$message2$carou2, _props$message3, _props$message3$carou, _props$message3$carou2;
  const [slidePosition, setSlidePosition] = useState(0);
  const sendAction = action => {
    return action;
    // console.log('Sending carousel action ...', action);
  };

  const previousDisabled = slidePosition === 0;
  const nextDisabled = Math.abs(slidePosition) === ((_props$message = props.message) === null || _props$message === void 0 ? void 0 : (_props$message$carous = _props$message.carousel) === null || _props$message$carous === void 0 ? void 0 : (_props$message$carous2 = _props$message$carous.cards) === null || _props$message$carous2 === void 0 ? void 0 : _props$message$carous2.length) - 1;
  const handleNextSlide = () => {
    if (nextDisabled) return;
    setSlidePosition(prevState => prevState + 1);
  };
  const handlePreviousSlide = () => {
    if (previousDisabled) return;
    setSlidePosition(prevState => prevState - 1);
  };
  const handleOpenLink = async url => {
    await Linking.openURL(url);
  };
  const handleButtonClick = async _ref => {
    let {
      clickedButton,
      clickedCard
    } = _ref;
    const {
      destination
    } = clickedButton;
    if ((destination === null || destination === void 0 ? void 0 : destination.type) === CarouselDestinationTypes.URL) {
      handleOpenLink(destination === null || destination === void 0 ? void 0 : destination.value);
    }
    if ((destination === null || destination === void 0 ? void 0 : destination.type) === CarouselDestinationTypes.PHONE) {
      var _destination$value;
      const treated = destination === null || destination === void 0 ? void 0 : (_destination$value = destination.value) === null || _destination$value === void 0 ? void 0 : _destination$value.replace(/[^A-Z0-9]/gi, '');
      handleOpenLink(`tel:+55${treated}`);
    }
    const socketActionPayload = {
      type: MessageTypes.CAROUSEL,
      data: {
        clickedButton,
        clickedCard
      }
    };
    sendAction(socketActionPayload);
  };
  const checkButtonIsEmpty = button => {
    return (button === null || button === void 0 ? void 0 : button.label) === '';
  };
  const checkHasInfo = card => {
    return (card === null || card === void 0 ? void 0 : card.title) !== '' || (card === null || card === void 0 ? void 0 : card.description) !== '';
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CarouselWrapper, null, /*#__PURE__*/React.createElement(CarouselSlider, null, /*#__PURE__*/React.createElement(CarouselSliderContent, {
    style: {
      left: slidePosition * SLIDE_WIDTH
    }
  }, (_props$message2 = props.message) === null || _props$message2 === void 0 ? void 0 : (_props$message2$carou = _props$message2.carousel) === null || _props$message2$carou === void 0 ? void 0 : (_props$message2$carou2 = _props$message2$carou.cards) === null || _props$message2$carou2 === void 0 ? void 0 : _props$message2$carou2.map(card => {
    var _card$buttons;
    return /*#__PURE__*/React.createElement(View, {
      key: card._id
    }, card.imageUrl ? /*#__PURE__*/React.createElement(CustomImage, {
      src: card.imageUrl
    }) : /*#__PURE__*/React.createElement(Text, null), /*#__PURE__*/React.createElement(CarouselCardInfo, {
      hasInfo: checkHasInfo(card)
    }, /*#__PURE__*/React.createElement(Text, {
      style: [styles.carouselCardInfoText, styles.carouselCardInfoTitle]
    }, card.title), /*#__PURE__*/React.createElement(Text, {
      style: styles.carouselCardInfoText
    }, card.description)), card === null || card === void 0 ? void 0 : (_card$buttons = card.buttons) === null || _card$buttons === void 0 ? void 0 : _card$buttons.map(button => !checkButtonIsEmpty(button) && /*#__PURE__*/React.createElement(CarouselButton, {
      key: button === null || button === void 0 ? void 0 : button._id,
      onPress: () => handleButtonClick({
        clickedCard: card,
        clickedButton: button
      })
    }, button === null || button === void 0 ? void 0 : button.label)));
  }))), ((_props$message3 = props.message) === null || _props$message3 === void 0 ? void 0 : (_props$message3$carou = _props$message3.carousel) === null || _props$message3$carou === void 0 ? void 0 : (_props$message3$carou2 = _props$message3$carou.cards) === null || _props$message3$carou2 === void 0 ? void 0 : _props$message3$carou2.length) > 1 && /*#__PURE__*/React.createElement(CarouselActions, {
    onPrevious: handlePreviousSlide,
    onNext: handleNextSlide,
    previousDisabled: previousDisabled,
    nextDisabled: nextDisabled
  })));
});
//# sourceMappingURL=index.js.map