import EncryptedStorage from 'react-native-encrypted-storage';
export class EncryptedStorageAdapter {
  async store(key, data) {
    try {
      const parsed = typeof data === 'object' ? JSON.stringify(data) : data;
      await EncryptedStorage.setItem(key, parsed);
    } catch (error) {
      throw error;
    }
  }
  async retrieve(key) {
    try {
      const result = await EncryptedStorage.getItem(key);
      if (key === 'messages') {
        const messages = result || '[]';
        return JSON.parse(messages);
      }
      return result || '';
    } catch (error) {
      throw error;
    }
  }
  async clean() {
    try {
      await EncryptedStorage.clear();
    } catch (error) {
      throw error;
    }
  }
}
//# sourceMappingURL=EncryptedStorageAdapter.js.map